%define rname	downloadmgr
%define cid		\{F8A55C97-3DB6-4961-A81D-0DE0080E53CB\}
%define ciddir 	%firefox_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	0.6.6
Release:	alt5
Summary:	The Download Manager Tweak extension for Mozilla Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://dmextension.mozdev.org/

Source0:	downloadmgr_066.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version 

%description
A modification of the Firefox download manager that changes 
its appearance and allows it to be opened in a separate window, 
a new tab, or the sidebar.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.6.6-alt5
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.6-alt4
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.6-alt3
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.6-alt2
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.6-alt1
- new version;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.5-alt1
- new version;
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.3-alt3.1
- postscript bugfix;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.3-alt3
- spec bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.3-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.3-alt1
- first build for ALT Linux.
